package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyPropertyVO;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 公司信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_company")
public class Company extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 系统分类(平台运营/商户)
     */
    @ApiModelProperty(value = "系统分类(平台运营/商户)")
    private String sysType;

    /**
     * logo
     */
    @ApiModelProperty(value = "logo")
    private String logo;

    /**
     * 上级公司ID
     */
    @ApiModelProperty(value = "上级公司ID")
    private String pid;

    /**
     * 公司分类
     */
    @ApiModelProperty(value = "公司分类")
    private String type;


    @ApiModelProperty(value = "扩展信息")
    private String propertyJson;


    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String remark;


    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
    @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
    private String rowsStatus;




}
