package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyPropertyVO;
import com.xxh.cloud.basic.framework.modules.constant.CompanySysType;
import com.xxh.cloud.framework.common.constant.Constant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class CompanyAddDTO {



    @ApiModelProperty(value = "机构ID")
    private String id;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "系统分类(CompanySysType)")
    private String sysType= CompanySysType.Company_Merchant.getCode();

    @ApiModelProperty(value = "公司logo")
    private String logo;

    @ApiModelProperty(value = "公司分类")
    private String type;

    @ApiModelProperty(value = "上级公司ID",required = true)
    @NotEmpty(message = "上级公司不能为空")
    private String pid= Constant.RootParentNodeId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "说明")
    private String remark;


    @ApiModelProperty(value = "扩展信息")
    private CompanyPropertyVO propertyJson;



}
