package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class VisitVerificationAddDTO {

    @ApiModelProperty(value = "校验目标分类",required = true)
    @NotEmpty(message = "校验目标分类不能为空")
    private String visitType;

    @ApiModelProperty(value = "校验目标ID",required = true)
    @NotEmpty(message = "校验目标ID不能为空")
    private String visitId;

    @ApiModelProperty(value = "校验规则分类", required = true)
    @NotEmpty(message = "校验规则分类不能为空")
    private String verType;

    @ApiModelProperty(value = "应用端范围(全部/患者端/医生端)", required = true)
    @NotEmpty(message = "应用端范围不能为空")
    private String appScope;

    @ApiModelProperty(value = "应用端功能范围", required = true)
    @NotEmpty(message = "应用端功能范围不能为空")
    private String bizScope;

    @ApiModelProperty(value = "校验条件配置")
    private String verificationConfig;

}
