package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.PageInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.PageInfoEditDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.PageVO;

public class PageInfoConvertHelper {

    public static PageVO getPageVO(PageInfo entity){
        PageVO data = new PageVO();
        BeanUtil.copyProperties(entity, data,"pageData");
        if (StrUtil.isNotEmpty(entity.getPageData())) {
            data.setPageData(JSONObject.parseObject(entity.getPageData()));
        }
        return data;
    }

    public static PageInfo getPageVO(PageInfoEditDTO dto, PageInfo entity){
        BeanUtil.copyProperties(dto, entity,"code","pageData");
        if (MapUtil.isNotEmpty(dto.getPageData())) {
            entity.setPageData(JSONObject.toJSONString(dto.getPageData()));
        }
        return entity;
    }

    public static PageInfo getPageVO(PageInfoEditDTO dto, String pageCode){
        PageInfo entity = new PageInfo();
        entity.setCode(pageCode);
        BeanUtil.copyProperties(dto, entity,"code","pageData");
        if (MapUtil.isNotEmpty(dto.getPageData())) {
            entity.setPageData(JSONObject.toJSONString(dto.getPageData()));
        }
        return getPageVO(dto, entity);
    }
}
