package com.xxh.cloud.basic.framework.modules.biz.helper;


import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.basic.framework.modules.biz.entity.PatientRecord;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * wbmd 同步黑名单
 * **/
@Slf4j
@Component
public class PatientRecordApiHelper {
    // 同步黑名单
    private static String patientRecordBlackList = "http://172.17.100.39:5035/api/patientRecord/black_list?appid=14631378478533&secret=7ac0ecfb8c73859fcc9b6eec23c1b769";

    /**wbmd 同步患者的黑名单*/
    public static List<PatientRecord> patientRecordBlackList() {
        Map<String, String> params = new HashMap<>();
        String bodyJson = JSONObject.toJSONString(params);
        String result = HttpRequest.post(patientRecordBlackList)
                .body(bodyJson)
                .execute().body();
        JSONObject json = JSONObject.parseObject(result);
        if (json.containsKey("result") && json.get("result") != null) {
            return JSONArray.parseArray(JSONObject.toJSONString(json.get("result")), PatientRecord.class);
        } else {
            return new ArrayList<>();
        }
         // 测试接口
//        List<PatientRecord> result = new ArrayList<>();
//        for (int i = 0; i < 10; i++) {
//            PatientRecord record = new PatientRecord();
//            record.setPatientId("PAT0000" + i);
//            record.setIdCardNo("ICD0000" + i);
//            result.add(record);
//        }
//        return result;
    }

}
