package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.SiteMessageInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.SiteMessageUserInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.SiteMessageAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.SiteMessageVO;
import com.xxh.cloud.basic.framework.modules.biz.entity.SiteMessageQueryBean;
import com.xxh.cloud.basic.framework.modules.constant.SiteMessageUserStatus;
import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.Map;

public class SiteMessageConvertHelper {

    /**
     *  return
     * */
    public static SiteMessageVO getSiteMessageVO(SiteMessageQueryBean entity){
        SiteMessageVO data=new SiteMessageVO();
        BeanUtil.copyProperties(entity,data,"messageParams");
        if(StrUtil.isNotEmpty(entity.getMessageParams())){
            data.setMessageParams(JSON.parseObject(entity.getMessageParams(), Map.class));
        }
        return data;
    }


    /**
     *  return
     * */
    public static SiteMessageVO getSiteMessageVO(SiteMessageInfo siteMessage, SiteMessageUserInfo siteMessageUser){
        SiteMessageVO data=new SiteMessageVO();
        data.setMessageId(siteMessage.getId());
        data.setMessageTitle(siteMessage.getTitle());
        data.setMessageType(siteMessage.getType());
        if(StrUtil.isNotEmpty(siteMessage.getParams())){
            data.setMessageParams(JSON.parseObject(siteMessage.getParams(),Map.class));
        }
        data.setMessageContent(siteMessage.getContent());
        data.setMessageSendDate(siteMessage.getCreateDate());
        data.setFromUserId(siteMessage.getCreator());

        data.setId(siteMessageUser.getId());
        data.setToUserId(siteMessageUser.getToUserId());
        data.setStatus(siteMessageUser.getStatus());
        data.setReadDate(siteMessageUser.getReadDate());

        return data;
    }


    /**
     *  add message
     * */
    public static SiteMessageInfo getSiteMessage_Add(SiteMessageAddDTO params){
        SiteMessageInfo entity=new SiteMessageInfo();
        entity.setId(IdUtil.getSnowflake(5,2).nextIdStr());
        entity.setType(params.getType());
        entity.setTitle(params.getTitle());
        if(MapUtil.isNotEmpty(params.getParams())){
            entity.setParams(JSON.toJSONString(params.getParams()));
        }
        entity.setContent(params.getContent());
        entity.setRowsStatus(YN.YES.getCode());
        return entity;
    }


    /**
     * add SiteMessage User
     * */
    public static SiteMessageUserInfo getSiteMessageUser_Add(String siteMessageId,String toUserId){
        SiteMessageUserInfo entity=new SiteMessageUserInfo();
        entity.setId(IdUtil.getSnowflake(3,1).nextIdStr());
        entity.setSiteMessageId(siteMessageId);
        entity.setToUserId(toUserId);
        entity.setStatus(SiteMessageUserStatus.Smu_None.getName());
        entity.setReadDate(new Date());
        return entity;
    }


}
