package com.xxh.cloud.basic.framework.modules.biz.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.PageInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.PageInfoEditDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.PageInfoGetDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.PageVO;
import com.xxh.cloud.basic.framework.modules.base.service.PageInfoService;
import com.xxh.cloud.basic.framework.modules.biz.helper.PageInfoConvertHelper;
import com.xxh.cloud.basic.framework.modules.biz.service.PageInfoBizService;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class PageInfoBizServiceImpl implements PageInfoBizService {

    @Autowired
    private PageInfoService pageInfoService;

    @Override
    public PageVO edit(PageInfoEditDTO params) {
        ValidatorUtils.validateEntity(params);
        PageInfo entity = pageInfoService.getById(params.getCode());
        if (entity == null) { // 新增
            entity = PageInfoConvertHelper.getPageVO(params, params.getCode());
            pageInfoService.save(entity);
        } else { // 更新
            PageInfoConvertHelper.getPageVO(params, entity);
            pageInfoService.updateById(entity);
        }
        return PageInfoConvertHelper.getPageVO(entity);
    }

    @Override
    public List<PageVO> list() {
        List<PageInfo> list = pageInfoService.list();
        if (CollUtil.isEmpty(list)) {
            return new ArrayList<>();
        }
        return list.stream().map(PageInfoConvertHelper::getPageVO).collect(Collectors.toList());
    }

    @Override
    public PageVO get(PageInfoGetDTO params) {
        ValidatorUtils.validateEntity(params);
        PageInfo entity = pageInfoService.getById(params.getCode());
        if (entity == null) {
            throw new BusinessException(BusinessBaseErrorEnum.DB_RECORD_EXISTS);
        }
        return PageInfoConvertHelper.getPageVO(entity);
    }
}
