package com.xxh.cloud.basic.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.base.service.DictTypeService;
import com.xxh.cloud.basic.framework.modules.cache.helper.CacheBasicKeyHelper;
import com.xxh.cloud.basic.framework.modules.cache.service.DictCacheService;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class DictCacheServiceImpl extends BasicCacheServiceImpl<DictTypeVO> implements DictCacheService {


    @Autowired
    private DictTypeService dictTypeService;

    @Override
    public String getCacheKey(String id) {
        return CacheBasicKeyHelper.getDictCacheKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return CacheBasicKeyHelper.getDictCacheKeyPrefix();
    }

    @Override
    public Class<DictTypeVO> getJsonClazz() {
        return DictTypeVO.class;
    }

    @Override
    public String getId(DictTypeVO dictTypeVO) {
        return dictTypeVO.getId();
    }

    @Override
    public DictTypeVO getById2DB(String id) {
        return dictTypeService.info2NullById(id);
    }

    @Override
    public List<DictTypeVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        DictTypeListDTO params=new DictTypeListDTO();
        params.setIds(ids);
        return dictTypeService.list(params);
    }




}
