package com.xxh.cloud.basic.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.Params;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.ProjectInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ProjectVO;
import com.xxh.cloud.basic.framework.modules.base.service.ProjectInfoService;
import com.xxh.cloud.basic.framework.modules.biz.helper.ParamsConvertHelper;
import com.xxh.cloud.basic.framework.modules.biz.helper.ProjectConvertHelper;
import com.xxh.cloud.basic.framework.modules.cache.helper.CacheBasicKeyHelper;
import com.xxh.cloud.basic.framework.modules.cache.service.ProjectCacheService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@Service
public class ProjectCacheServiceImpl  extends BasicCacheServiceImpl<ProjectVO>  implements ProjectCacheService {

    @Autowired
    private ProjectInfoService projectInfoService;

    @Override
    public String getCacheKey(String id) {
        return CacheBasicKeyHelper.getProjectCacheKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return CacheBasicKeyHelper.getProjectCacheKeyPrefix();
    }

    @Override
    public Class<ProjectVO> getJsonClazz() {
        return ProjectVO.class;
    }

    @Override
    public String getId(ProjectVO projectVO) {
        return projectVO.getCode();
    }

    @Override
    public ProjectVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        ProjectInfo entity= projectInfoService.getById(id);
        if(entity==null || YN.NO.getCode().equals(entity.getRowsStatus())){
            return null;
        }
        return  ProjectConvertHelper.getProjectVO2DataKey(entity);
    }

    @Override
    public List<ProjectVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        List<ProjectInfo> list= projectInfoService.list(
                new QueryWrapper<ProjectInfo>()
                        .eq("rows_status", YN.YES.getCode())
                        .in("code",ids)
                        .orderByDesc("create_date")
        );
        if(CollUtil.isEmpty(list)){
            return null;
        }
        List<ProjectVO> data=new ArrayList<>();
        list.forEach(item->{
            data.add(ProjectConvertHelper.getProjectVO2DataKey(item));
        });
        return data;
    }
}
