package com.xxh.cloud.basic.framework.modules.client.helper;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.basic.client.api.bean.bos.*;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictDataVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import io.swagger.annotations.ApiModelProperty;


public class BasicClientConvertHelper {

    public static ParamsBO getParamsBO(ParamsVO params){
        if(params==null){
            return null;
        }
        ParamsBO data = new ParamsBO();
        data.setId(params.getId());
        data.setParamType(params.getParamType());
        data.setParamValueType(params.getParamValueType());
        data.setParamValue(params.getParamValue());
        data.setParamValueList(params.getParamValueList());
        return data;
    }


    public static CompanyBO getCompanyBO(CompanyVO company){
        if(company==null){
            return null;
        }
        CompanyBO data=new CompanyBO();
        data.setId(company.getId());
        data.setPid(company.getPid());
        data.setType(company.getType());
        data.setName(company.getName());
        data.setSysType(company.getSysType());
        data.setLogo(company.getLogo());
        data.setSort(company.getSort());
        data.setRemark(company.getRemark());
        return data;
    }


    public static DictBO getDictBO(DictTypeVO dictType){
        if(dictType==null){
            return null;
        }
        DictBO data=new DictBO();
        data.setId(dictType.getId());
        data.setType(dictType.getType());
        data.setName(data.getName());
        data.setRemark(data.getRemark());
        data.setSort(data.getSort());
        if(CollUtil.isNotEmpty(dictType.getItems())){
            dictType.getItems().forEach(item->{
                data.addItem(getDictValBO(item));
            });
        }
        return data;
    }

    public static DictMapBO getDictMapBO(DictTypeVO dictType){
        if(dictType==null){
            return null;
        }
        DictMapBO data=new DictMapBO();
        data.setId(dictType.getId());
        data.setType(dictType.getType());
        data.setName(data.getName());
        data.setRemark(data.getRemark());
        data.setSort(data.getSort());
        if(CollUtil.isNotEmpty(dictType.getItems())){
            dictType.getItems().forEach(item->{
                data.addItem(item.getDictValue(),item.getDictLabel());
            });
        }
        return data;
    }



    public static DictValBO getDictValBO(DictDataVO dictData){
        if(dictData==null){
            return null;
        }
        DictValBO data=new DictValBO();
        data.setDictLabel(dictData.getDictLabel());
        data.setDictValue(dictData.getDictValue());
        data.setRemark(dictData.getRemark());
        data.setSort(dictData.getSort());
        return data;
    }




}
