package com.xxh.cloud.basic.framework.modules.log.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 操作日志
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_log_operation")
public class LogOperation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户操作
     */
     @ApiModelProperty(value = "用户操作")
      private String operation;

    /**
     * 请求URI
     */
     @ApiModelProperty(value = "请求URI")
      private String requestUri;

    /**
     * 请求方式
     */
     @ApiModelProperty(value = "请求方式")
      private String requestMethod;

    /**
     * 请求参数
     */
     @ApiModelProperty(value = "请求参数")
      private String requestParams;

    /**
     * 请求时长(毫秒)
     */
     @ApiModelProperty(value = "请求时长(毫秒)")
      private Integer requestTime;

    /**
     * 用户代理
     */
     @ApiModelProperty(value = "用户代理")
      private String userAgent;


    /**
     * 状态  0：失败   1：成功
     */
     @ApiModelProperty(value = "状态  0：失败   1：成功")
      private String status;

    @ApiModelProperty(value = "操作IP")
    private String userId;


    @ApiModelProperty(value = "操作IP")
    private String userName;


    @ApiModelProperty(value = "操作IP")
    private String opIp;




}
