package com.xxh.cloud.basic.sys.manager.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.*;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictDataVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeTreeVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.PageVO;
import com.xxh.cloud.basic.framework.modules.base.service.DictDataService;
import com.xxh.cloud.basic.framework.modules.base.service.DictTypeService;
import com.xxh.cloud.basic.framework.modules.biz.service.PageInfoBizService;
import com.xxh.cloud.basic.framework.modules.constant.DictTypeCategory;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@SaCheckPermission("sys:basic:page")
@RestController
@RequestMapping("/sys/basic/page")
@Api(tags="运营端_管理,页面配置")
public class PageInfoManagerController {


    @Autowired
    private PageInfoBizService pageInfoBizService;


    @PostMapping("edit")
    @ApiOperation("编辑")
    public Result<PageVO> edit(@RequestBody PageInfoEditDTO params) {
        ValidatorUtils.validateEntity(params);
        PageVO pageVO= pageInfoBizService.edit(params);
        return new Result<PageVO>().ok(pageVO);
    }

    @PostMapping("list")
    @ApiOperation("查询列表")
    public Result<List<PageVO>> list() {
        List<PageVO> data= pageInfoBizService.list();
        return new Result<List<PageVO>>().ok(data);
    }

    @PostMapping("get")
    @ApiOperation("查询详情")
    public Result<PageVO> get(@RequestBody PageInfoGetDTO params) {
        PageVO pageVO= pageInfoBizService.get(params);
        return new Result<PageVO>().ok(pageVO);
    }

}
