package com.xxh.cloud.customer.application.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.FamilyVO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.MemberFamilyVO;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerFamilyInfoService;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerFamilyMemberInfoService;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerFamilyBizService;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerFamilyMemberBizService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.user.LoginUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@SaCheckLogin
@RestController
@RequestMapping("/app/customer/family")
@Api(tags="客户端,客户家庭服务")
public class CustomerFamilyAppController {


    @Autowired
    private CustomerFamilyBizService customerFamilyBizService;
    @Autowired
    private CustomerFamilyMemberBizService customerFamilyMemberBizService;



    @PostMapping("list")
    @ApiOperation("家庭列表")
    public Result<List<FamilyVO>> list() {
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUserCheck();
        List<FamilyVO> data= customerFamilyBizService.listByUser(loginUser.getId());
        return new Result<List<FamilyVO>>().ok(data);
    }

    @PostMapping("add")
    @ApiOperation("家庭信息")
    public Result<FamilyVO> add(@RequestBody FamilyInfoAddDTO params) {
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUser();
        return new Result<FamilyVO>().ok(null);
    }

    @PostMapping("update")
    @ApiOperation("修改家庭")
    public Result<FamilyVO> update(@RequestBody FamilyInfoUpdateDTO params) {
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUser();
        return new Result<FamilyVO>().ok(null);
    }

    @PostMapping("info")
    @ApiOperation("家庭信息")
    public Result<FamilyVO> info(@RequestBody FamilyInfoGetDTO params) {
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUser();
        return new Result<FamilyVO>().ok(null);
    }


    @PostMapping("del")
    @ApiOperation("删除家庭")
    public Result<FamilyVO> del(@RequestBody FamilyInfoGetDTO params) {
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUser();
        return new Result<FamilyVO>().ok(null);
    }

}
