package com.xxh.cloud.customer.application.controller;

import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.customer.framework.modules.check.service.CustomerUserValidateService;
import com.xxh.cloud.customer.framework.modules.login.entity.dto.CustomerUserLoginEmailDTO;
import com.xxh.cloud.customer.framework.modules.login.entity.dto.CustomerUserLoginMobileDTO;
import com.xxh.cloud.customer.framework.modules.login.entity.vos.CustomerUserLoginVO;
import com.xxh.cloud.customer.framework.modules.login.service.CustomerUserLoginMobileService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.third.framework.modules.captcha.entity.enums.SmsCaptchaBizTypeEnum;
import com.xxh.cloud.third.framework.modules.captcha.service.SmsCaptchaService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaIgnore
@RestController
@RequestMapping("/app/customer/mobile")
@Api(tags="客户端,客户手机号登录")
public class CustomerUserLogin2MobileAppController {


    @Autowired
    private CustomerUserLoginMobileService customerUserLoginMobileService;
    @Autowired
    private CustomerUserValidateService customerUserValidateService;
    @Autowired
    private SmsCaptchaService smsCaptchaService;

    @PostMapping("login")
    @ApiOperation("客户用户手机号登录")
    public Result<CustomerUserLoginVO> login(@RequestBody CustomerUserLoginMobileDTO params) {
        ValidatorUtils.validateEntity(params);
        customerUserValidateService.checkMobileLogin();
        smsCaptchaService.validate(SmsCaptchaBizTypeEnum.SC_Login.getCode(),params.getMobile(),params.getCode());
        CustomerUserLoginVO data= customerUserLoginMobileService.login(params);
        String token= AuthContextUtils.login(data.getCompanyNo(),null,data.getId(),data.getUserName(),null);
        data.setToken(token);
        return new Result<CustomerUserLoginVO>().ok(data);
    }




}
