package com.xxh.cloud.customer.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;


/**
 * <p>
 * 客户地址信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cust_customer_addr_info")
public class CustomerAddrInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;


    /**
     * 公司号
     */
    @ApiModelProperty(value = "公司号")
    private String companyNo;


    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 省
     */
     @ApiModelProperty(value = "省")
      private String province;

    /**
     * 市
     */
     @ApiModelProperty(value = "市")
      private String city;

    /**
     * 区
     */
     @ApiModelProperty(value = "区")
      private String region;

    /**
     * 街道
     */
     @ApiModelProperty(value = "街道")
      private String street;

    /**
     * 详细地址
     */
     @ApiModelProperty(value = "详细地址")
      private String addr;

    /**
     * 联系人名称
     */
     @ApiModelProperty(value = "联系人名称")
      private String linkManName;

    /**
     * 联系人电话
     */
     @ApiModelProperty(value = "联系人电话")
      private String linkManTel;

    /**
     * 联系人手机
     */
     @ApiModelProperty(value = "联系人手机")
      private String linkManMobile;

    /**
     * 是否默认地址
     */
     @ApiModelProperty(value = "是否默认地址")
      private String isDef;

    /**
     * 经纬度类型
     */
     @ApiModelProperty(value = "经纬度类型")
      private String llType;

    /**
     * 经度
     */
     @ApiModelProperty(value = "经度")
      private BigDecimal longitude;

    /**
     * 纬度
     */
     @ApiModelProperty(value = "纬度")
      private BigDecimal latitude;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;





}
