package com.xxh.cloud.customer.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * <p>
 * 客户家庭成员信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cust_customer_family_member_info")
public class CustomerFamilyMemberInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;


    /**
     * 公司号
     */
    @ApiModelProperty(value = "公司号")
    private String companyNo;


    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 家庭ID
     */
     @ApiModelProperty(value = "家庭ID")
      private String familyId;

    /**
     * 成员关系
     */
     @ApiModelProperty(value = "成员关系")
      private String memberRelation;

    /**
     * 姓名
     */
     @ApiModelProperty(value = "姓名")
      private String name;

    /**
     * 手机号
     */
     @ApiModelProperty(value = "手机号")
      private String mobile;

    /**
     * 证件类型
     */
     @ApiModelProperty(value = "证件类型")
      private String cardType;

    /**
     * 证件号
     */
     @ApiModelProperty(value = "证件号")
      private String cardNo;

    /**
     * 认证状态
     */
     @ApiModelProperty(value = "认证状态")
      private String status;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;

    @ApiModelProperty(value = "就诊人Id")
    private String patientId;

    @ApiModelProperty(value = "生日")
    private String birthday;

    @ApiModelProperty(value = "就诊人性别 F:女，M:男")
    private String gender;

    @ApiModelProperty(value = "就诊人门诊id(HIS)")
    private String patHisNo;

    @ApiModelProperty(value = "医院卡号id")
    private String patCardNo;

    @ApiModelProperty(value = "医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡")
    private String patCardType;

    @ApiModelProperty(value = "医院卡号类型名称")
    private String patCardTypeName;

    @ApiModelProperty(value = "与本人关系")
    private String relationName;

    @ApiModelProperty(value = "与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人")
    private String relationType;

    @ApiModelProperty(value = "患者类型 0:成人 1:儿童 2:妇女 3:老人")
    private String patientType;

    @ApiModelProperty(value = "患者类型名称")
    private String patientTypeName;

    @ApiModelProperty(value = "电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡")
    private String healthCardFlag;

    @ApiModelProperty(value = "是否授权 YN")
    private String isAuth;

    @ApiModelProperty(value = "授权时间")
    private Date authDate;

    @ApiModelProperty(value = "扩展字段保存的值 json格式")
    private String extFields;


    @ApiModelProperty(value = "一级来源")
    private String sourceOne;

    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;

    @ApiModelProperty(value = "三级来源")
    private String sourceThree;

    @ApiModelProperty(value = "患者主id")
    private String mainPersonId;

    // 互联网医院数据创建时间
    @ApiModelProperty(value = "互联网医院数据创建时间")
    private String createTime;

    // 互联网医院数据更新时间
    @ApiModelProperty(value = "互联网医院数据更新时间")
    private String updateTime;
    
    @ApiModelProperty(value = "关系标记[1:表示系统自动设置的本人]")
    private String relationFlag;

}
