package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

@Getter
@Setter
public class AddressAddDTO {


        @ApiModelProperty(value = "用户ID",required = true)
        @NotEmpty(message = "用户不能为空")
        private String userId;


        @ApiModelProperty(value = "公司号")
        private String companyNo;


        @ApiModelProperty(value = "省")
        private String province;

        @ApiModelProperty(value = "市")
        private String city;

        @ApiModelProperty(value = "区")
        private String region;

        @ApiModelProperty(value = "街道")
        private String street;

        @ApiModelProperty(value = "详细地址",required = true)
        @NotEmpty(message = "详细地址不能为空")
        private String addr;

        @ApiModelProperty(value = "联系人名称")
        private String linkManName;

        @ApiModelProperty(value = "联系人电话")
        private String linkManTel;

        @ApiModelProperty(value = "联系人手机")
        private String linkManMobile;


        @ApiModelProperty(value = "是否默认地址(YN)",required = true)
        @NotEmpty(message = "是否默认不能为空")
        private String isDef= YN.NO.getCode();


        @ApiModelProperty(value = "经纬度类型")
        private String llType;


        @ApiModelProperty(value = "经度")
        private BigDecimal longitude;


        @ApiModelProperty(value = "纬度")
        private BigDecimal latitude;

}
