package com.xxh.cloud.customer.framework.modules.biz.bean.vos;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class MemberFamilyVO {

    @ApiModelProperty(value = "数据id")
    private String id;

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "家庭ID")
    private String familyId;

    @ApiModelProperty(value = "成员关系")
    private String memberRelation;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "证件类型 1:二代身份证 2:港澳居民身份证 3:台湾居民身份证 4:护照")
    private String cardType;

    @ApiModelProperty(value = "证件号")
    private String cardNo;

    @ApiModelProperty(value = "生日")
    private String birthday;

    @ApiModelProperty(value = "就诊人Id")
    private String patientId;

    @ApiModelProperty(value = "就诊人性别 F:女，M:男")
    private String gender;

    @ApiModelProperty(value = "就诊人门诊id(HIS)")
    private String patHisNo;

    @ApiModelProperty(value = "医院卡号id")
    private String patCardNo;

    @ApiModelProperty(value = "医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡")
    private String patCardType;

    @ApiModelProperty(value = "医院卡号类型名称")
    private String patCardTypeName;

    @ApiModelProperty(value = "与本人关系")
    private String relationName;

    @ApiModelProperty(value = "与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人")
    private String relationType;

    @ApiModelProperty(value = "患者类型 0:成人 1:儿童 2:妇女 3:老人")
    private String patientType;

    @ApiModelProperty(value = "患者类型名称")
    private String patientTypeName;

    @ApiModelProperty(value = "电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡")
    private String healthCardFlag;

    @ApiModelProperty(value = "是否授权 YN")
    private String isAuth;

    @ApiModelProperty(value = "授权时间")
    private Date authDate;

    @ApiModelProperty(value = "是否选中")
    private String chooseFlg = YN.NO.getCode();

    //-----------------------------------------------------
    @ApiModelProperty(value = "三方用户id")
    private String thirdUserId;

    @ApiModelProperty(value = "用户的OPENID")
    private String userOpenId;

    @ApiModelProperty(value = "三方用户状态")
    private String thirdUserStatus;

    @ApiModelProperty(value = "患者主id")
    private String mainPersonId;

}
