package com.xxh.cloud.customer.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerAddrInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.AddressAddDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.AddressUpdateDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.AddressVO;
import com.xxh.cloud.framework.common.constant.YN;

public class CustomerAddrHelper {


    /**
     * 地址ID
     * */
    private static String getCustomerAddrId(){
        return StrUtil.format("A{}", IdUtil.getSnowflake(3,1).nextIdStr());
    }

    /**
     * 新增地址对象
     * */
    public static CustomerAddrInfo getCustomerAddrInfo_Add(AddressAddDTO params){
        CustomerAddrInfo entity=new CustomerAddrInfo();
        entity.setId(CustomerAddrHelper.getCustomerAddrId());
        entity.setUserId(params.getUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setProvince(params.getProvince());
        entity.setCity(params.getCity());
        entity.setRegion(params.getRegion());
        entity.setStreet(params.getStreet());
        entity.setAddr(params.getAddr());
        entity.setLinkManName(params.getLinkManName());
        entity.setLinkManTel(params.getLinkManTel());
        entity.setLinkManMobile(params.getLinkManMobile());
        entity.setIsDef(params.getIsDef());
        entity.setLlType(params.getLlType());
        entity.setLongitude(params.getLongitude());
        entity.setLatitude(params.getLatitude());
        entity.setRowsStatus(YN.YES.getCode());
        return entity;
    }

    /**
     * 修改地址对象
     * */
    public static void getCustomerAddrInfo_Update(CustomerAddrInfo entity, AddressUpdateDTO params){
        entity.setProvince(params.getProvince());
        entity.setCity(params.getCity());
        entity.setRegion(params.getRegion());
        entity.setStreet(params.getStreet());
        entity.setAddr(params.getAddr());
        entity.setLinkManName(params.getLinkManName());
        entity.setLinkManTel(params.getLinkManTel());
        entity.setLinkManMobile(params.getLinkManMobile());
        entity.setLlType(params.getLlType());
        entity.setLongitude(params.getLongitude());
        entity.setLatitude(params.getLatitude());
    }

    /**
     * 地址页面对象
     * */
    public static AddressVO getAddressVO(CustomerAddrInfo entity){
        AddressVO data=new AddressVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

}
