package com.xxh.cloud.customer.framework.modules.biz.service.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.customer.framework.modules.biz.mapper.CustomerDwdPatientBizMapper;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerDwdPatientBizService;

import cn.hutool.core.collection.CollectionUtil;

@DS("wd")
@Service
public class CustomerDwdPatientBizServiceImpl implements CustomerDwdPatientBizService {

    @Autowired
    private CustomerDwdPatientBizMapper dwdPatientBizMapper;

    @Override
    public Map<String, String> getMainPersonIdsByPatientIds(List<String> patientIds) {
        if (CollectionUtil.isEmpty(patientIds)) {
            return new HashMap<>(0);
        }
        List<Map<String, String>> list = dwdPatientBizMapper.getMainPersonIdsByPatientIds(patientIds);
        if (CollectionUtil.isEmpty(list)) {
            return new HashMap<>(0);
        }

        Map<String, String> map = new HashMap<>();
        list.forEach(i -> {
            String patientId = i.get("patientId");
            String mainPersonId = i.get("mainPersonId");
            map.put(patientId, mainPersonId);
        });

        return map;
    }
    
}
