package com.xxh.cloud.customer.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.AddressListDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.AddressVO;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerAddrInfoService;
import com.xxh.cloud.customer.framework.modules.cache.helper.CacheCustomerKeyHelper;
import com.xxh.cloud.customer.framework.modules.cache.service.CustomerAddrCacheService;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

@Service
public class CustomerAddrCacheServiceImpl  extends BasicCacheServiceImpl<AddressVO> implements CustomerAddrCacheService {

    @Autowired
    private CustomerAddrInfoService customerAddrInfoService;

    @Override
    public String getCacheKey(String id) {
        return CacheCustomerKeyHelper.getCustomerAddrCacheKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return CacheCustomerKeyHelper.getCustomerAddrCacheMainKey();
    }

    @Override
    public Class<AddressVO> getJsonClazz() {
        return AddressVO.class;
    }

    @Override
    public String getId(AddressVO addressVO) {
        return addressVO.getId();
    }

    @Override
    public AddressVO getById2DB(String id) {
       // return customerAddrInfoService.info2NullById(id);
        return null;
    }

    @Override
    public List<AddressVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        AddressListDTO params=new AddressListDTO();
        params.setIds(ids);
       // return customerAddrInfoService.list(params);

        return null;
    }
}
