package com.xxh.cloud.customer.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.UserCustomerListDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerUserInfoService;
import com.xxh.cloud.customer.framework.modules.cache.helper.CacheCustomerKeyHelper;
import com.xxh.cloud.customer.framework.modules.cache.service.CustomerUserCacheService;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

@Service
public class CustomerUserCacheServiceImpl extends BasicCacheServiceImpl<CustomerUserVO> implements CustomerUserCacheService {


    @Autowired
    private CustomerUserInfoService customerUserInfoService;

    @Override
    public String getCacheKey(String id) {
        return CacheCustomerKeyHelper.getCustomerUserCacheKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return CacheCustomerKeyHelper.getCustomerUserCacheMainKey();
    }

    @Override
    public Class<CustomerUserVO> getJsonClazz() {
        return CustomerUserVO.class;
    }

    @Override
    public String getId(CustomerUserVO customerUserVO) {
        return customerUserVO.getId();
    }

    @Override
    public CustomerUserVO getById2DB(String id) {
        return customerUserInfoService.info2NullById(id);
    }

    @Override
    public List<CustomerUserVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        UserCustomerListDTO params=new UserCustomerListDTO();
        params.setIds(ids);
        return customerUserInfoService.list(params);
    }

}
