package com.xxh.cloud.customer.framework.modules.constant;


import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

/**
 *  客户用户
 * 错误码（12） 12XXX
 * */

public enum XXCustUserErrorEnum implements IErrorCodeEnum {


    UserName_Exists(12001,"用户名已存在"),
    Mobile_Exists(12002,"手机号已存在"),
    Email_Exists(12003,"邮箱已存在"),

    CustUser_Freeze(12004,"用户冻结"),

    ThirdUser_NotExists(12005,"三方用户不存在"),
    ThirdUser_Bind(12006,"三方用户已绑定"),

    ThirdUser_NotBindByUser(12007,"无客户，三方不能绑定"),

    User_NotExists(12008,"用户不存在"),
    FAMILY_CREATE_ERR(12009,"获取家庭成员失败!"),
    RELATION_SELF_ONLY(12010,"[本人]关系的家庭成员已经绑定!"),
    FAMILY_AUTH_CODE_ERR(12011,"授权码校验错误!"),


    SMS_TIMES_OVER_LIMIT(12051,"短信发送次数超限!"),
    SMS_SEND_WAIT(12052,"短信发送次数过多，请稍后再试!"),

    UnionId_NotExists(12053,"unionid获取失败"),
    ;
    private int code;
    private String msg;

    private XXCustUserErrorEnum() {
    }

    XXCustUserErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }


}
