package com.xxh.cloud.customer.framework.modules.login.helper;

import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerThirdUserInfo;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.constant.XXCustUserConstant;
import com.xxh.cloud.customer.framework.modules.login.entity.dto.CustomerUserLoginThirdDTO;
import com.xxh.cloud.customer.framework.modules.login.entity.vos.CustomerUserLoginVO;

public class CustomerUserLoginHelper {



    /**
     * ID
     * */
    public static String getCustomerThirdUserId(){
        return StrUtil.format("CTU{}", IdUtil.getSnowflake(2,1).nextIdStr());
    }


    public static CustomerThirdUserInfo getCustomerThirdUserInfo(CustomerUserLoginThirdDTO params){
        CustomerThirdUserInfo entity=new CustomerThirdUserInfo();
        entity.setId(CustomerUserLoginHelper.getCustomerThirdUserId());
        entity.setParamsId(params.getParamsId());
        entity.setOpenId(params.getOpenId());
        entity.setUnionId(params.getUnionId());
        entity.setUserId(XXCustUserConstant.CustThirdUserId);
        entity.setCompanyNo(params.getCompanyNo());
        entity.setType(params.getType());
        entity.setNickName(params.getNickName());
        entity.setHeadUrl(params.getHeadUrl());
        entity.setSourceOne(params.getSourceOne());
        entity.setSourceTwo(params.getSourceTwo());
        entity.setSourceThree(params.getSourceThree());
        return entity;
    }


    /**
     *  CustomerUserLoginVO
     * */
    public static CustomerUserLoginVO getCustomerUserLoginVO(CustomerThirdUserInfo thirdUser){
        CustomerUserLoginVO data=new CustomerUserLoginVO();
        data.setThirdId(thirdUser.getId());
        data.setThirdParamsId(thirdUser.getParamsId());
        data.setThirdOpenId(thirdUser.getOpenId());
        data.setThirdUnionId(thirdUser.getUnionId());
        data.setId(thirdUser.getUserId());

        data.setCompanyNo(thirdUser.getCompanyNo());
        data.setType(thirdUser.getType());
        data.setSourceOne(thirdUser.getSourceOne());
        data.setSourceTwo(thirdUser.getSourceTwo());
        data.setSourceThree(thirdUser.getSourceThree());
        return data;
    }


    public static CustomerUserLoginVO getCustomerUserLoginVO(CustomerUserInfo customerUser){
        CustomerUserLoginVO data=new CustomerUserLoginVO();
        data.setId(customerUser.getId());
        data.setCompanyNo(customerUser.getCompanyNo());
        data.setType(customerUser.getType());
        data.setUserName(customerUser.getUserName());
        data.setMobile(customerUser.getMobile());
        data.setEmail(customerUser.getEmail());
        data.setNickName(customerUser.getNickName());
        data.setRealName(customerUser.getRealName());
        data.setHeadUrl(customerUser.getHeadUrl());
        data.setSourceOne(customerUser.getSourceOne());
        data.setSourceTwo(customerUser.getSourceTwo());
        data.setSourceThree(customerUser.getSourceThree());
        data.setShareCode(customerUser.getShareCode());
        data.setStatus(customerUser.getStatus());
        return data;
    }



    public static CustomerUserLoginVO getCustomerUserLoginVO(CustomerThirdUserInfo thirdUser, CustomerUserInfo customerUser){
        CustomerUserLoginVO data=getCustomerUserLoginVO(thirdUser);
        if(customerUser!=null){
            data.setId(customerUser.getId());
            data.setCompanyNo(customerUser.getCompanyNo());
            data.setType(customerUser.getType());
            data.setUserName(customerUser.getUserName());
            data.setMobile(customerUser.getMobile());
            data.setEmail(customerUser.getEmail());
            data.setNickName(customerUser.getNickName());
            data.setRealName(customerUser.getRealName());
            data.setHeadUrl(customerUser.getHeadUrl());
            data.setSourceOne(customerUser.getSourceOne());
            data.setSourceTwo(customerUser.getSourceTwo());
            data.setSourceThree(customerUser.getSourceThree());
            data.setShareCode(customerUser.getShareCode());
            data.setStatus(customerUser.getStatus());
        }
        return data;
    }



}
