package com.xxh.cloud.customer.framework.modules.login.service.impl;

import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerUserInfoService;
import com.xxh.cloud.customer.framework.modules.check.service.CustomerUserRegister2AddCheckService;
import com.xxh.cloud.customer.framework.modules.constant.CustomerUserStatusEnum;
import com.xxh.cloud.customer.framework.modules.constant.XXCustUserErrorEnum;
import com.xxh.cloud.customer.framework.modules.login.entity.dto.CustomerUserLoginMobileDTO;
import com.xxh.cloud.customer.framework.modules.login.entity.vos.CustomerUserLoginVO;
import com.xxh.cloud.customer.framework.modules.login.helper.CustomerUserLoginHelper;
import com.xxh.cloud.customer.framework.modules.login.service.CustomerUserLoginMobileService;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterMobileDTO;
import com.xxh.cloud.customer.framework.modules.register.service.CustomerUserRegisterMobileService;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CustomerUserLoginMobileServiceImpl implements CustomerUserLoginMobileService {

    @Autowired
    private CustomerUserInfoService customerUserInfoService;
    @Autowired
    private CustomerUserRegister2AddCheckService customerUserRegister2AddCheckService;
    @Autowired
    private CustomerUserRegisterMobileService customerUserRegisterMobileService;

    @Override
    public CustomerUserLoginVO login(CustomerUserLoginMobileDTO params) {
        ValidatorUtils.validateEntity(params);
        CustomerUserInfo customerUser= customerUserRegister2AddCheckService.getByMobile(params.getCompanyNo(),params.getMobile());

        if(customerUser==null){
            if(params.isReg()){ //注册
                CustomerUserRegisterMobileDTO registerMobileParam=new CustomerUserRegisterMobileDTO();
                registerMobileParam.setCompanyNo(params.getCompanyNo());
                registerMobileParam.setMobile(params.getMobile());
                registerMobileParam.setNickName(params.getNickName());
                registerMobileParam.setRealName(params.getRealName());
                registerMobileParam.setHeadUrl(params.getHeadUrl());
                registerMobileParam.setSourceOne(params.getSourceOne());
                registerMobileParam.setSourceTwo(params.getSourceTwo());
                registerMobileParam.setSourceThree(params.getSourceThree());
                CustomerUserInfo customerUserReg = customerUserRegisterMobileService.innerRegisterByMobile(registerMobileParam);
                return CustomerUserLoginHelper.getCustomerUserLoginVO(customerUser);
            }else {
               throw new BusinessException(XXCustUserErrorEnum.User_NotExists);
            }
        }
        if(!CustomerUserStatusEnum.CUS_Normal.getCode().equals(customerUser.getStatus())){
            throw new BusinessException(XXCustUserErrorEnum.CustUser_Freeze);
        }
        return CustomerUserLoginHelper.getCustomerUserLoginVO(customerUser);
    }



}
