package com.xxh.cloud.customer.framework.modules.register.helper;

import cn.hutool.core.util.IdUtil;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerThirdUserInfo;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.constant.CustomerUserStatusEnum;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterEmailDTO;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterMobileDTO;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterUserNameDTO;

public class CustomerUserRegisterHelper {




    /**
     *  用户名
     * */
    public static CustomerUserInfo getCustomerUserInfo(CustomerUserRegisterUserNameDTO params){
        CustomerUserInfo entity=new CustomerUserInfo();
        entity.setId(CustomerUserUtils.getCustomerUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setType(params.getType());
        entity.setUserName(params.getUserName());
        entity.setPassWord(params.getPassWord());
        entity.setNickName(params.getNickName());
        entity.setRealName(params.getRealName());
        entity.setHeadUrl(params.getHeadUrl());
        entity.setSourceOne(params.getSourceOne());
        entity.setSourceTwo(params.getSourceTwo());
        entity.setSourceThree(params.getSourceThree());
        entity.setShareCode(CustomerUserUtils.getCustomerShareCode());
        entity.setStatus(CustomerUserStatusEnum.CUS_Normal.getCode());
        return entity;
    }
    /**
     *  用户名
     * */

    public static CustomerUserInfo getCustomerUserInfo(CustomerThirdUserInfo params){
        CustomerUserInfo entity=new CustomerUserInfo();
        entity.setId(CustomerUserUtils.getCustomerUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setType(params.getType());
        entity.setUserName(IdUtil.fastSimpleUUID());
        entity.setPassWord("123456");
        entity.setNickName(params.getNickName());
        entity.setHeadUrl(params.getHeadUrl());
        entity.setSourceOne(params.getSourceOne());
        entity.setSourceTwo(params.getSourceTwo());
        entity.setSourceThree(params.getSourceThree());
        entity.setShareCode(CustomerUserUtils.getCustomerShareCode());
        entity.setStatus(CustomerUserStatusEnum.CUS_Normal.getCode());
        return entity;
    }
    //

    /**
     *  手机号
     * */
    public static CustomerUserInfo getCustomerUserInfo(CustomerUserRegisterMobileDTO params){
        CustomerUserInfo entity=new CustomerUserInfo();
        entity.setId(CustomerUserUtils.getCustomerUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setType(params.getType());
        entity.setUserName(params.getMobile());
        entity.setPassWord("123456");
        entity.setMobile(params.getMobile());

        entity.setNickName(params.getNickName());
        entity.setRealName(params.getRealName());
        entity.setHeadUrl(params.getHeadUrl());
        entity.setSourceOne(params.getSourceOne());
        entity.setSourceTwo(params.getSourceTwo());
        entity.setSourceThree(params.getSourceThree());
        entity.setShareCode(CustomerUserUtils.getCustomerShareCode());
        entity.setStatus(CustomerUserStatusEnum.CUS_Normal.getCode());
        return entity;
    }

    /**
     *  手机号
     * */
    public static CustomerUserInfo getCustomerUserInfo(String mobile, CustomerThirdUserInfo params){
        CustomerUserInfo entity=new CustomerUserInfo();
        entity.setId(CustomerUserUtils.getCustomerUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setType(params.getType());
        entity.setUserName(mobile);
        entity.setPassWord("123456");
        entity.setMobile(mobile);
//        entity.setNickName(params.getNickName());
//        entity.setRealName(params.getRealName());
//        entity.setHeadUrl(params.getHeadUrl());
        entity.setSourceOne(params.getSourceOne());
        entity.setSourceTwo(params.getSourceTwo());
        entity.setSourceThree(params.getSourceThree());
        entity.setShareCode(CustomerUserUtils.getCustomerShareCode());
        entity.setStatus(CustomerUserStatusEnum.CUS_Normal.getCode());
        return entity;
    }


    /**
     *  邮箱
     * */
    public static CustomerUserInfo getCustomerUserInfo(CustomerUserRegisterEmailDTO params){
        CustomerUserInfo entity=new CustomerUserInfo();
        entity.setId(CustomerUserUtils.getCustomerUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setType(params.getType());
        entity.setUserName(params.getEmail());
        entity.setPassWord("123456");
        entity.setEmail(params.getEmail());
        entity.setNickName(params.getNickName());
        entity.setRealName(params.getRealName());
        entity.setHeadUrl(params.getHeadUrl());
        entity.setSourceOne(params.getSourceOne());
        entity.setSourceTwo(params.getSourceTwo());
        entity.setSourceThree(params.getSourceThree());
        entity.setShareCode(CustomerUserUtils.getCustomerShareCode());
        entity.setStatus(CustomerUserStatusEnum.CUS_Normal.getCode());
        return entity;
    }


    //



}
