package com.xxh.cloud.customer.sys.manager.controller;


import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.AddressVO;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerAddrInfoService;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerAddrBizService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


//@SaCheckPermission("sys:customer:address")
@RestController
@RequestMapping("/sys/customer/address")
@Api(tags="管理端,客户地址管理")
public class CustomerAddrManagerController {


    @Autowired
    private CustomerAddrBizService customerAddrBizService;



    @PostMapping("query")
    @ApiOperation("查询")
    @SaCheckPermission("sys:customer:address:query")
    public Result<PageData<AddressVO>> query(@RequestBody AddressQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<AddressVO> data= customerAddrBizService.query(params);
        return new Result<PageData<AddressVO>>().ok(data);
    }


    @PostMapping("add")
    @ApiOperation("新增")
    @SaCheckPermission("sys:customer:address:add")
    public Result<AddressVO> add(@RequestBody AddressAddDTO params) {
        ValidatorUtils.validateEntity(params);
//        MenuVO data= menuService.add(params);
        return new Result<AddressVO>().ok(null);
    }


    @PostMapping("update")
    @ApiOperation("修改")
    @SaCheckPermission("sys:customer:address:update")
    public Result<AddressVO> update(@RequestBody AddressUpdateDTO params) {
        ValidatorUtils.validateEntity(params);
//        MenuVO data= menuService.update(params);
        return new Result<AddressVO>().ok(null);
    }


    @PostMapping("updateDef")
    @ApiOperation("更新默认状态")
    @SaCheckPermission("sys:customer:address:updateDef")
    public Result<AddressVO> updateDef(@RequestBody AddressUpdateDefDTO params) {
        ValidatorUtils.validateEntity(params);
//        MenuVO data= menuService.update(params);
        return new Result<AddressVO>().ok(null);
    }

    @PostMapping("info")
    @ApiOperation("获取")
    @SaCheckPermission("sys:customer:address:info")
    public Result<AddressVO> info(@RequestBody AddressInfoByIdDTO params) {
        ValidatorUtils.validateEntity(params);
//        MenuVO data=menuService.infoById(params.getId());
        return new Result<AddressVO>().ok(null);
    }


    @PostMapping("del")
    @ApiOperation("删除")
    @SaCheckPermission("sys:customer:address:del")
    public Result<String> del(@RequestBody AddressInfoByIdDTO params) {
        ValidatorUtils.validateEntity(params);
//        menuService.delById(params.getId());
        return new Result<String>().ok("ok");
    }







}


