package com.xxh.cloud.log.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 系统异常日志
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_error_log_info")
public class ErrorLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 日志日期
     */
     @ApiModelProperty(value = "日志日期")
      private Date logDate;

    /**
     * 异常类
     */
     @ApiModelProperty(value = "异常类")
      private String errorClazz;

    /**
     * 异常方法
     */
     @ApiModelProperty(value = "异常方法")
      private String errorMethod;

    /**
     * 异常信息
     */
     @ApiModelProperty(value = "异常信息")
      private String errorInfo;

    /**
     * 请求参数
     */
     @ApiModelProperty(value = "请求参数")
      private String reqParams;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
