package com.xxh.cloud.log.utils;

import cn.hutool.core.map.MapUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.user.LoginUser;
import com.xxh.cloud.framework.common.utils.SpringContextUtils;
import com.xxh.cloud.log.bean.constant.ModuleTypeEnum;
import com.xxh.cloud.log.bean.constant.ObjectTypeEnum;
import com.xxh.cloud.log.bean.constant.OperationTypeEnum;
import com.xxh.cloud.log.bean.dto.OpLogGenBatchDTO;
import com.xxh.cloud.log.bean.dto.OpLogGenDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.OperationLogAddDTO;
import com.xxh.cloud.log.framework.modules.biz.service.OperationLogInfoBizService;

import java.util.Date;
import java.util.Map;

/**
 * 业务操作日志
 * */
public class OperationLogUtils {






    /**
     *
     * */
    public static void addBatch(OpLogGenBatchDTO params){

    }

    /**
     * MQ存储
     * */
    private static void addMQ(OpLogGenDTO params){
        //todo:
    }

    /**
     * 数据库直接存储
     * */
    private static void addDB(OpLogGenDTO params){
        OperationLogInfoBizService operationLogInfoBizService= SpringContextUtils.getBean(OperationLogInfoBizService.class);
        OperationLogAddDTO addParam=new OperationLogAddDTO();
        addParam.setUserId(params.getUserId());
        addParam.setUserName(params.getUserName());
        addParam.setModuleType(params.getModuleType());
        addParam.setObjectType(params.getObjectType());
        addParam.setObjectId(params.getObjectId());
        addParam.setOpDate(params.getOpDate());
        addParam.setOpType(params.getOpType());
        if(MapUtil.isNotEmpty(params.getExtend())){
            addParam.setOpText(JSON.toJSONString(params.getExtend()));
        }
        addParam.setRemark(params.getRemark());
        operationLogInfoBizService.add(addParam);
    }


    /**
     * 获取:操作日志对象
     * */
    public static OpLogGenDTO getOpLogGenDTO(String userId, String userName,
                                             Date opDate,OperationTypeEnum opType,
                                             ModuleTypeEnum moduleType, ObjectTypeEnum objectType, String objectId,
                                             Map<String,Object> extend){
        OpLogGenDTO data=new OpLogGenDTO(userId,userName,opDate,opType==null?null:opType.getCode(),
                moduleType==null?null:moduleType.getCode(), objectType==null?null:objectType.getCode(),objectId,extend);
        return data;
    }


    /**
     * 获取:操作日志对象
     * */
    public static OpLogGenDTO getOpLogGenDTO(OperationTypeEnum opType,
                                             ModuleTypeEnum moduleType, ObjectTypeEnum objectType, String objectId,
                                             Map<String,Object> extend){
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUser();
        OpLogGenDTO data=new OpLogGenDTO(loginUser.getId(),loginUser.getUserName(),new Date(),opType==null?null:opType.getCode(),
                moduleType==null?null:moduleType.getCode(), objectType==null?null:objectType.getCode(),objectId,extend);
        return data;
    }


    /**
     * 新增操作日志
     * */
    public static void addOpLogGen(OpLogGenDTO params){
        addDB(params);
    }

    /**
     * 新增操作日志
     * */
    public static void addOpLogGen(String userId, String userName,
                                             Date opDate,OperationTypeEnum opType,
                                             ModuleTypeEnum moduleType, ObjectTypeEnum objectType, String objectId,
                                             Map<String,Object> extend){
        OpLogGenDTO data=getOpLogGenDTO(userId,userName,opDate,opType,moduleType,objectType,objectId,extend);
        addOpLogGen(data);
    }



    /**
     * 新增操作日志
     * */
    public static void addOpLogGen(String userId, String userName, OperationTypeEnum opType,
                                             ModuleTypeEnum moduleType, ObjectTypeEnum objectType, String objectId,
                                             Map<String,Object> extend){
        OpLogGenDTO data=getOpLogGenDTO(userId,userName,new Date(),opType,moduleType,objectType,objectId,extend);
        addOpLogGen(data);
    }


    /**
     * 新增操作日志
     * */
    public static void addOpLogGen(LoginUser loginUser, OperationTypeEnum opType,
                                   ModuleTypeEnum moduleType, ObjectTypeEnum objectType, String objectId,
                                   Map<String,Object> extend){
        OpLogGenDTO data=getOpLogGenDTO(loginUser.getId(),loginUser.getUserName(),new Date(),opType,moduleType,objectType,objectId,extend);
        addOpLogGen(data);
    }


    /**
     * 新增操作日志
     * */
    public static void addOpLogGen(OperationTypeEnum opType,
                                   ModuleTypeEnum moduleType, ObjectTypeEnum objectType, String objectId,
                                   Map<String,Object> extend){
        LoginUser loginUser= AuthContextUtils.getCurrentLoginUser();
        OpLogGenDTO data=getOpLogGenDTO(loginUser.getId(),loginUser.getUserName(),new Date(),opType,moduleType,objectType,objectId,extend);
        addOpLogGen(data);
    }




}
