package com.xxh.cloud.store.framework.modules.service.impl;

import cn.hutool.core.io.FileUtil;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.param.bos.OssAliConfigBO;
import com.xxh.cloud.framework.common.param.bos.OssLocalFileConfigBO;
import com.xxh.cloud.store.framework.modules.service.AliyunCloudStorageService;
import com.xxh.cloud.store.framework.modules.service.LocalFileStorageService;
import com.xxh.cloud.store.framework.modules.utils.StoreFileNameUtils;
import org.springframework.stereotype.Service;

import java.io.InputStream;

@Service
public class LocalFileStorageServiceImpl implements LocalFileStorageService {


    @Override
    public String upload(OssLocalFileConfigBO ossLocalFileConfigBO, InputStream inputStream, String fileName) {
        String filePath = ossLocalFileConfigBO.getLocalPath() + fileName;
        String os = System.getProperty("os.name");
        if (os.toLowerCase().startsWith("win")) {
            FileUtil.writeFromStream(inputStream, "D:" + filePath);
        } else {
            FileUtil.writeFromStream(inputStream, filePath);
        }
        // 数据库操作
        return ossLocalFileConfigBO.getUrlPath() + fileName;
    }

    @Override
    public String uploadSuffix(OssLocalFileConfigBO ossLocalFileConfigBO, InputStream inputStream, String suffix) {
        return upload(ossLocalFileConfigBO, inputStream, StoreFileNameUtils.getPath("", suffix));
    }

}
