package com.xxh.cloud.store.framework.modules.utils;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import org.springframework.util.StringUtils;

import java.util.Date;

public class StoreFileNameUtils {

	

	private static final String EXTENSION_CHARACTER = ".";

	/**
	 * 通过文件名获取扩展名
	 * @param fileName
	 * @return
	 */
	public static String getExtension(String fileName) {
		String extension = "";
		if(StringUtils.hasText(fileName) && fileName.contains(EXTENSION_CHARACTER)) {
			extension = fileName.substring(fileName.lastIndexOf(EXTENSION_CHARACTER)+1);
		}else {
			extension=fileName;
		}
		return extension;
	}
	
	public static String getFileName(String fileNo,String fileFormat) {
		return fileNo+EXTENSION_CHARACTER+fileFormat;
	}
	
	public static String getFileName(String fileName) {
		return IdUtil.simpleUUID()+EXTENSION_CHARACTER+getExtension(fileName);
	}
	
	public static String getImgNo() {
		return StrUtil.format("FILE_{}", IdUtil.getSnowflake(6, 1).nextIdStr());
	}

	public static String getPath(String prefix, String suffix) {
		//文件路径
		String path = DateUtil.format(new Date(), "yyyyMMdd") + "/" + IdUtil.objectId();
		if(StringUtils.hasText(prefix)){
			path = prefix + "/" + path;
		}
		return path + "." + suffix;
	}
	
}
