package com.xxh.cloud.third.framework.modules.sms.service.impl;

import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.third.framework.modules.sms.asyncTask.AsyncTask;
import com.xxh.cloud.third.framework.modules.sms.config.HisSmsConfig;
import com.xxh.cloud.third.framework.modules.sms.model.SmsRequestMessage;
import com.xxh.cloud.third.framework.modules.sms.model.SmsResponseModel;
import com.xxh.cloud.third.framework.modules.sms.service.SmsSendService;
import com.xxh.cloud.third.framework.modules.thirdHis.HisApiHelper;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class SmsSendServiceImpl implements SmsSendService {

    @Autowired
    private ParamsClientService paramsClientService;
    @Autowired
    private AsyncTask asyncTask;

    @Override
    public SmsResponseModel sendHisSms(List<SmsRequestMessage> messages) {
        HisSmsConfig hisSmsConfig = paramsClientService.getParamConfig("HIS_SMS_CONFIG", new HisSmsConfig());
        asyncTask.sendHisSms(hisSmsConfig, messages);
        return new SmsResponseModel();
    }
}
