package com.xxh.cloud.third.framework.modules.thirdHis;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson.JSONObject;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.third.framework.modules.sms.config.HisSmsConfig;
import com.xxh.cloud.third.framework.modules.sms.model.*;
import com.xxh.cloud.third.framework.modules.sms.utils.XStreamXmlBeanUtil;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.GenerateSchemeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.model.*;
import lombok.extern.slf4j.Slf4j;
import org.apache.cxf.endpoint.Client;
import org.apache.cxf.jaxws.endpoint.dynamic.JaxWsDynamicClientFactory;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class HisApiHelper {
    // 获取accessToken
    private static String accessTokenUrl = "/api/customize/getAccessToken";

    // 获取accessToken
    private static String patInfoUrl = "/api/customize/getPatInfoByOpenId";

    // 获取schemeurl
    private static String schemeUrl = "/api/customize/generatescheme";


    /**调用三方服务查询accessToken*/
    // public static RespBaseThird<HisAccessTokenModel> getAccessToken(HealthyFrontendConfig config) {
    //     String result = HttpRequest.get(config.getHost() + accessTokenUrl)
    //             .execute().body();
    //     log.info("获取token----" + result);
    //     return new RespBaseThird<>(result, HisAccessTokenModel.class);
    // }
    public static RespBaseThird<HisAccessTokenModel> getAccessToken(HealthyFrontendConfig config) {
        // String result = HttpRequest.get(config.getHost() + accessTokenUrl)
        //         .execute().body();

        Map<String, String> params = new HashMap<>();
        params.put("weixinSource", "wbzy_wx_1");
        String result = HttpRequest.post("http://172.17.100.39:5035/api/patientRecord/weixin/access_token?appid=14631378478533&secret=7ac0ecfb8c73859fcc9b6eec23c1b769")
                .body(JSONObject.toJSONString(params))
                .execute().body();
        log.info("获取token----" + result);
        HisRespBaseThird<HisAccessTokenRespModel> resultResp = new HisRespBaseThird<>(result, HisAccessTokenRespModel.class);

        RespBaseThird<HisAccessTokenModel> resp = new RespBaseThird<>();
        resp.setCode(resultResp.getCode());
        resp.setMsg(resultResp.getMessage());
        if (null != resultResp.getResult()) {
            HisAccessTokenModel model = new HisAccessTokenModel();
            model.setAccToken(resultResp.getResult().getAccessToken());
            resp.setData(model);
        }
        return resp;
    }

    /**查询绑定患者的数据*/
    @Deprecated
    public static RespBaseThird<PatBindModel> getPatBind(HealthyFrontendConfig config, String unionId) {
        String params = "?userId=" + unionId;
        String result = HttpRequest.get(config.getHost() + patInfoUrl + params)
                .execute().body();
        log.info("获取关联就诊卡号----" + result);
        return new RespBaseThird<>(result, PatBindModel.class);
    }

    /** 获取schemeurl */
    @Deprecated
    public static RespBaseThird<GenerateSchemeModel> generateScheme(HealthyFrontendConfig config, GenerateSchemeDTO params) {
        String bodyJson = JSONObject.toJSONString(params);
        String result = HttpRequest.post(config.getHost() + schemeUrl)
                .body(bodyJson)
                .execute().body();
        log.info("获取schemeurl----" + result);
        return new RespBaseThird<>(result, GenerateSchemeModel.class);
    }

    /** 调用his发送短信 */
    public static SmsResponseModel sendHisSms(HisSmsConfig config, List<SmsRequestMessage> messages) {
        log.info("1.开始处理短信-----------------");
        SmsResponseModel response = new SmsResponseModel();
        if (CollUtil.isEmpty(messages)) {
            throw new BusinessException(BusinessBaseErrorEnum.PARAMS_GET_ERROR);
        }
        JaxWsDynamicClientFactory dcfClient = JaxWsDynamicClientFactory.newInstance();
        Client client = dcfClient.createClient(config.getUrl());
        log.info("2.完成创建client-----------------");
        // 构建传参xml字符串
        SmsRequestModel request = new SmsRequestModel();
        // 编写head
        SmsRequestHead head = new SmsRequestHead(config.getUserId(),config.getPassword(), config.getSource(),config.getTransNo());
        request.setHead(head);
        // 编写body
        SmsRequestBody body = new SmsRequestBody();
        for (SmsRequestMessage message : messages) {
            body.getMsseages().add(new SmsRequestMessage(message.getMobile(), message.getNotice()));
        }
        request.setBody(body);
        String xml = XStreamXmlBeanUtil.toXml(request);
        log.info("2.His短信服务传参----" + xml);
        try {
            Object[] objects=client.invoke(config.getMethod(), xml);
            log.info("3.His短信服务返回----" + JSONObject.toJSONString(objects));
            for(Object obj:objects) {
                if (obj != null) {
                    response = XStreamXmlBeanUtil.fromXml(obj.toString(), SmsResponseModel.class);
                    break;
                }
            }
            return response;

        } catch (Exception e) {
            log.error("His短信传参发送失败!");
            e.printStackTrace();
            throw new BusinessException(BusinessBaseErrorEnum.Config_GET_ERROR);
        }
    }




    public static void main(String[] args) throws Exception {
        JaxWsDynamicClientFactory dcflient = JaxWsDynamicClientFactory.newInstance();
        Client client=dcflient.createClient("http://ws.webxml.com.cn/WebServices/MobileCodeWS.asmx?wsdl");
        Object[] objects=client.invoke("getMobileCodeInfo","15862344808","");
        for(Object obj:objects) {
            System.out.println(obj);
        }

//        SmsRequestModel request = new SmsRequestModel();
//        // 编写head
//        SmsRequestHead head = new SmsRequestHead("QSM","123","MSSEAGE","HTIP.QSM.MESSAGE.0001");
//        request.setHead(head);
//        // 编写body
//        SmsRequestBody body = new SmsRequestBody();
//        body.getMsseages().add(new SmsRequestMessage("15862344808","【系统测试】这是一条测试短信！"));
//        body.getMsseages().add(new SmsRequestMessage("18361938428","【系统测试】这是一条测试短信！"));
//        request.setBody(body);
//        String xml = XStreamXmlBeanUtil.toXml(request);
//        log.info("获取xml----\n" + xml);

//        Child c2 = XStreamXmlBeanUtil.fromXml(xml, Child.class);



    }

}
