package com.xxh.cloud.third.framework.modules.thirdHis.service.impl;

import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.third.framework.modules.thirdHis.HisApiHelper;
import com.xxh.cloud.third.framework.modules.thirdHis.HisWebApiHelper;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.GenerateSchemeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.HisGenerateSchemeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.HisPromotionCodeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.model.GenerateSchemeModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisAccessTokenModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisPromotionCodeModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.RespBaseThird;
import com.xxh.cloud.third.framework.modules.thirdHis.service.ThirdHisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *  小测序，用户SessionKey
 * */
@Service
public class ThirdHisServiceImpl implements ThirdHisService {

    @Autowired
    private RedisUtils redisUtils;
    @Autowired
    private ParamsClientService paramsClientService;

    @Deprecated
    @Override
    public GenerateSchemeModel generateScheme(String deptCode, String doctorCode) {
        HealthyFrontendConfig healthyFrontend = paramsClientService.getParamConfig("HEALTHY_FRONTEND", new HealthyFrontendConfig());
        // 调用His获取accessToken
        RespBaseThird<HisAccessTokenModel> acResp = HisApiHelper.getAccessToken(healthyFrontend);
        if (acResp.getCode() != 0) {
            throw new BusinessException(acResp.getCode(), acResp.getMsg());
        }
        GenerateSchemeDTO params = new GenerateSchemeDTO();
        params.setAccessToken(acResp.getData().getAccToken());
        params.setDeptCode(deptCode);
        params.setDoctorCode(doctorCode);
        RespBaseThird<GenerateSchemeModel> result = HisApiHelper.generateScheme(healthyFrontend, params);
        if (result.getCode() != 0) {
            throw new BusinessException(result.getCode(), result.getMsg());
        }
        return result.getData();
    }

    @Override
    public HisSchemeUrlModel generateWebScheme(HisGenerateSchemeDTO params) {
        HealthyFrontendConfig healthyFrontendConfig = paramsClientService.getParamConfig("HEALTHY_FRONTEND", new HealthyFrontendConfig());
        RespBaseThird<HisSchemeUrlModel> hisResp = HisWebApiHelper.generateScheme(healthyFrontendConfig, params);
        if (null == hisResp) {
            return null;
        }
        return hisResp.getData();
    }
    
    @Override
    public HisPromotionCodeModel getAndSavePromotionCodeUrl(HisPromotionCodeDTO params) {
        HealthyFrontendConfig healthyFrontendConfig = paramsClientService.getParamConfig("HEALTHY_FRONTEND", new HealthyFrontendConfig());
        RespBaseThird<HisPromotionCodeModel> hisResp = HisWebApiHelper.getAndSavePromotionCodeUrl(healthyFrontendConfig, params);
        if (null == hisResp) {
            return null;
        }
        return hisResp.getData();
    }
}
