package com.xxh.cloud.third.framework.modules.thirdUnifyUser.service.impl;

import com.company.cloud.sdk.weixin.common.model.WxJSSDKSignModel;
import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.basic.client.api.bean.bos.ParamsBO;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.param.bos.WxApiConfig;
import com.xxh.cloud.framework.common.param.constant.ParamValTypeEnum;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.bos.ThirdUnifyUserLoginBO;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.dto.BindMobileByWxDTO;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.dto.ThirdUnifyJsapiSignDTO;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.dto.ThirdUnifyUserLoginDTO;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.service.ThirdUnifyUserLoginFactoryService;
import com.xxh.cloud.third.framework.modules.thirdWX.service.ThirdWeixinLoginMiniService;
import com.xxh.cloud.third.framework.modules.thirdWX.service.ThirdWeixinLoginMpService;
import com.xxh.cloud.third.framework.modules.thirdWX.service.ThirdWeixinLoginWorkService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ThirdUnifyUserLoginFactoryServiceImpl implements ThirdUnifyUserLoginFactoryService {


    @Autowired
    private ParamsClientService paramsClientService;
    @Autowired
    private ThirdWeixinLoginMiniService thirdWeixinLoginMiniService;
    @Autowired
    private ThirdWeixinLoginMpService thirdWeixinLoginMpService;
    @Autowired
    private ThirdWeixinLoginWorkService thirdWeixinLoginWorkService;



    @Override
    public ThirdUnifyUserLoginBO login(ThirdUnifyUserLoginDTO params) {
        ParamsBO config= paramsClientService.getParamsById(params.getParamsId());
        if(config==null){
            throw new BusinessException(BusinessBaseErrorEnum.Config_GET_ERROR);
        }

        if(ParamValTypeEnum.WX_Mini_Third.getCode().equals(config.getParamValueType())){
            WxApiConfig wxConfig= paramsClientService.getParamConfig(config.getParamValue(), new WxApiConfig());
            ThirdUnifyUserLoginBO data= thirdWeixinLoginMiniService.getLoginAuthToken(wxConfig,params.getCode());
            return data;
        }
        if(ParamValTypeEnum.WX_MP_Third.getCode().equals(config.getParamValueType())){
            WxApiConfig wxConfig= paramsClientService.getParamConfig(config.getParamValue(), new WxApiConfig());
            ThirdUnifyUserLoginBO data=thirdWeixinLoginMpService.getLoginAuthToken(wxConfig,params.getCode());
            return data;
        }
        if(ParamValTypeEnum.WX_WORK_Third.getCode().equals(config.getParamValueType())){
            WxApiConfig wxConfig= paramsClientService.getParamConfig(config.getParamValue(), new WxApiConfig());
            ThirdUnifyUserLoginBO data=thirdWeixinLoginWorkService.getLoginAuthToken(wxConfig,params.getCode());
            return data;
        } else {
            //todo:报错
        }

        return null;
    }

    @Override
    public String bindMobileByWx(BindMobileByWxDTO param) {
       return thirdWeixinLoginMiniService.getMobileByOpenId(param);
    }
    
    @Override
    public WxJSSDKSignModel jsapiSign(ThirdUnifyJsapiSignDTO params) {
        ParamsBO config= paramsClientService.getParamsById(params.getParamsId());
        if(config==null){
            throw new BusinessException(BusinessBaseErrorEnum.Config_GET_ERROR);
        }

        if(ParamValTypeEnum.WX_MP_Third.getCode().equals(config.getParamValueType())){
            WxApiConfig wxConfig= paramsClientService.getParamConfig(config.getParamValue(), new WxApiConfig());
            WxJSSDKSignModel data=thirdWeixinLoginMpService.wxSign(wxConfig,params.getUrl());
            return data;
        }

        return null;
    }

}
