package com.xxh.cloud.user.company.application.controller;


import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.HisGenerateSchemeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;
import com.xxh.cloud.third.framework.modules.thirdHis.service.ThirdHisService;
import com.xxh.cloud.user.framework.modules.base.biz.HisDeptBizService;
import com.xxh.cloud.user.framework.modules.base.biz.HisDoctorBizService;
import com.xxh.cloud.user.framework.modules.base.biz.HisSchemaUrlBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisDeptQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisDoctorQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisSchemeUrlQueryDTO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaIgnore
@RestController
@RequestMapping("/app/com/custom")
@Api(tags="客户查询互联网医院SchemeUrl")
public class CustSchemeAppController {

    @Autowired
    private HisDoctorBizService hisDoctorBizService;
    @Autowired
    private HisDeptBizService hisDeptBizService;
    @Autowired
    private HisSchemaUrlBizService hisSchemaUrlBizService;
    @Autowired
    private ThirdHisService thirdHisService;

    @PostMapping("/getDoctorSchemeUrl")
    @ApiOperation("获取医生schemeUrl")
    public Result<HisSchemeUrlModel> getDoctorSchemeUrl(@RequestBody HisDoctorQueryDTO params) {
        HisSchemeUrlModel date = hisDoctorBizService.getSchemaUrl(params);
        return new Result<HisSchemeUrlModel>().ok(date);
    }
    
    @PostMapping("/getDeptSchemeUrl")
    @ApiOperation("获取部门schemeUrl")
    public Result<HisSchemeUrlModel> getDeptSchemeUrl(@RequestBody HisDeptQueryDTO params) {
        HisSchemeUrlModel date = hisDeptBizService.getSchemaUrl(params);
        return new Result<HisSchemeUrlModel>().ok(date);
    }
    
    @Deprecated
    @PostMapping("/getSchemeUrl")
    @ApiOperation("获取schemeUrl")
    public Result<HisSchemeUrlModel> getSchemeUrl(@RequestBody HisSchemeUrlQueryDTO params) {
        HisGenerateSchemeDTO hisGenerateSchemeDTO = new HisGenerateSchemeDTO();
        hisGenerateSchemeDTO.setType(params.getType());
        return new Result<HisSchemeUrlModel>().ok(thirdHisService.generateWebScheme(hisGenerateSchemeDTO));
    }
}
