package com.xxh.cloud.user.company.application.controller;

import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.user.framework.modules.base.biz.UserInfoBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dto.UserInfoDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/user/doctor")
@Api(tags="app医生信息")
public class UserDoctorAppController {

    @Autowired
    private UserInfoBizService userInfoBizService;

    @PostMapping("/info")
    @ApiOperation("获取医生详情")
    public Result<UserVO> info(@RequestBody UserInfoDTO params) {
        ValidatorUtils.validateEntity(params);
        UserVO data = userInfoBizService.simpleOne(params);
        return new Result<UserVO>().ok(data);
    }

}
