package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 部门信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_dept")
public class Dept extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 公司号
     */
     @ApiModelProperty(value = "公司号")
      private String companyNo;

    /**
     * 部门名称
     */
     @ApiModelProperty(value = "部门名称")
      private String name;

    /**
     * 排序
     */
     @ApiModelProperty(value = "排序")
      private Integer sort;

    /**
     * 上级ID
     */
     @ApiModelProperty(value = "上级ID")
      private String pid;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
     private String remark;


    /**
     * 部门主管用户ID
     */
    @ApiModelProperty(value = "部门主管用户ID")
    private String managerUserIds;

    /**
     * 病种ID
     */
    @ApiModelProperty(value = "病种ID")
    private String diseaseIds;

    @ApiModelProperty(value = "'部门分类'")
    private String deptType;

    @ApiModelProperty(value = "扩展1 部门分类名称")
    private String extend1;

    @ApiModelProperty(value = "扩展2 网站对应科室ID")
    private String extend2;

    @ApiModelProperty(value = "扩展3 部门地址")
    private String extend3;

    @ApiModelProperty(value = "扩展4")
    private String extend4;

    @ApiModelProperty(value = "扩展5 有效性标志 1 在用 0 停用 2 废弃")
    private String extend5;

}
