package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * 互联网医院科室表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_his_dept_info")
public class HisDeptInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    // 医院ID
    @ApiModelProperty(value = "医院ID")
    private String hospitalId;

    // 互联网医院科室ID
    @ApiModelProperty(value = "互联网医院科室ID")
    private String deptId;

    // 院端HIS系统中科室的ID
    @ApiModelProperty(value = "院端HIS系统中科室的ID")
    private String hisDeptId;

    // HIS上级科室ID
    @ApiModelProperty(value = "HIS上级科室ID")
    private String hisParentId;

    // 层级CODE
    @ApiModelProperty(value = "层级CODE")
    private String gradeCode;

    // 科室名
    @ApiModelProperty(value = "科室名")
    private String name;

    // 科室名拼音
    @ApiModelProperty(value = "科室名拼音")
    private String namePinYin;

    // 图片地址
    @ApiModelProperty(value = "图片地址")
    private String imgUrl;

    // 科室在医院的位置，楼层，诊室等
    @ApiModelProperty(value = "科室在医院的位置，楼层，诊室等")
    private String location;

    // 针对科室，对患者的特别提示
    @ApiModelProperty(value = "针对科室，对患者的特别提示")
    private String notice;

    // 描述
    @ApiModelProperty(value = "描述")
    private String description;

    // 备注等信息
    @ApiModelProperty(value = "备注等信息")
    private String remark;

    // 院区名称
    @ApiModelProperty(value = "院区名称")
    private String branchName;

    // 是否是院区
    @ApiModelProperty(value = "是否是院区")
    private String isBranch;

    // 同步标记
    @ApiModelProperty(value = "同步标记")
    private String asyncFlag;

    // 标准科室学科名
    @ApiModelProperty(value = "标准科室学科名")
    private String standardSubjectName;

}
