package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * 互联网医院医生表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_his_doctor_info")
public class HisDoctorInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    // 互联网医院医生ID
    @ApiModelProperty(value = "互联网医院医生ID")
    private String doctorId;

    // 院端HIS系统中医生的ID
    @ApiModelProperty(value = "院端HIS系统中医生的ID")
    private String hisDoctorId;

    // 医生姓名
    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    // 医生性别
    @ApiModelProperty(value = "医生性别")
    private String gender;

    // 医生所在科室
    @ApiModelProperty(value = "医生所在科室")
    private String deptName;

    // 头像
    @ApiModelProperty(value = "头像")
    private String headImg;

    // 医生职称
    @ApiModelProperty(value = "医生职称")
    private String levelName;

    // 医生职称Id
    @ApiModelProperty(value = "医生职称Id")
    private String levelId;

    // 医生简介
    @ApiModelProperty(value = "医生简介")
    private String description;

    // 是否专家
    @ApiModelProperty(value = "是否专家")
    private String expert;

    // 互联网科室医生ID
    @ApiModelProperty(value = "互联网科室医生ID")
    private String deptId;

    // 擅长
    @ApiModelProperty(value = "擅长")
    private String skill;

    // 手机号
    @ApiModelProperty(value = "手机号")
    private String contactPhone;

    // 院端科室ID
    @ApiModelProperty(value = "院端科室ID")
    private String hisDeptId;
    
    // 同步标记
    @ApiModelProperty(value = "同步标记")
    private String asyncFlag;

}
