package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 菜单信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_menu")
public class Menu extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 上级ID
     */
     @ApiModelProperty(value = "上级ID")
      private String pid;

    /**
     * 类型
     */
     @ApiModelProperty(value = "类型")
      private String type;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 菜单图标
     */
     @ApiModelProperty(value = "菜单图标")
      private String icon;



    @ApiModelProperty(value = "菜单路由分类")
    private String routeType;

    /**
     * 菜单URL
     */
     @ApiModelProperty(value = "菜单URL")
      private String url;

    /**
     * 排序
     */
     @ApiModelProperty(value = "排序")
      private Integer sort;

    /**
     * 授权
     */
     @ApiModelProperty(value = "授权")
      private String permissions;

    /**
     * 菜单编号
     */
    @ApiModelProperty(value = "菜单编号")
    private String enCode;


}
