package com.xxh.cloud.user.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.constant.Constant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class DeptAddDTO {

        @ApiModelProperty(value = "公司号",required = true)
        @NotEmpty(message = "机构编号不能为空")
        private String companyNo;


        @ApiModelProperty(value = "部门名称" ,required = true)
        @NotEmpty(message = "部门名称不能为空")
        private String name;

        @ApiModelProperty(value = "排序",required = true)
        @NotNull(message = "部门排序不能为空")
        private Integer sort=0;

        @ApiModelProperty(value = "上级ID(默认值: 0)",required = true)
        @NotEmpty(message = "部门名称不能为空")
        private String pid= Constant.RootParentNodeId;

        @ApiModelProperty(value = "部门主管用户ID")
        private List<String> managerUserIds;

        @ApiModelProperty(value = "备注")
        private String remark;

        // zs:20231009
        @ApiModelProperty(value = "病种ID")
        private List<String> diseaseIds;

        @ApiModelProperty(value = "'部门分类'")
        private String deptType;
    
        @ApiModelProperty(value = "扩展1 部门分类名称")
        private String extend1;
    
        @ApiModelProperty(value = "扩展2 网站对应科室ID")
        private String extend2;
    
        @ApiModelProperty(value = "扩展3 部门地址")
        private String extend3;
    
        @ApiModelProperty(value = "扩展4")
        private String extend4;
    
        @ApiModelProperty(value = "扩展5 有效性标志 1 在用 0 停用 2 废弃")
        private String extend5;
    
        @ApiModelProperty(value = "id")
        private String id;

}
