package com.xxh.cloud.user.framework.modules.base.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.client.api.bean.bos.CompanyBO;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Role;
import com.xxh.cloud.user.framework.modules.base.entity.dos.RoleMenu;
import com.xxh.cloud.user.framework.modules.base.entity.vos.RoleVO;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class RoleConvertHelper {


    public static RoleVO getRoleVO(Role entity){
        RoleVO data=new RoleVO();
        BeanUtil.copyProperties(entity,data, "menuIds");
        return data;
    }


    public static RoleVO getRoleVO(Role entity, Map<String, CompanyBO> companyMap,Map<String, AdminUserBO> opUserMap){
        RoleVO data=getRoleVO(entity);

        if(MapUtil.isNotEmpty(companyMap) && StrUtil.isNotEmpty(data.getCompanyNo())){
            CompanyBO company = companyMap.get(data.getCompanyNo());
            data.setCompanyName(company==null?null:company.getName());
        }

        if(MapUtil.isNotEmpty(opUserMap)){
            if(StrUtil.isNotEmpty(data.getCreator())){
                AdminUserBO user=  opUserMap.get(data.getCreator());
                data.setCreatorName(user==null?null:user.getRealName());
            }
            if(StrUtil.isNotEmpty(data.getUpdater())){
                AdminUserBO user=  opUserMap.get(data.getUpdater());
                data.setUpdaterName(user==null?null:user.getRealName());
            }
        }
        return data;
    }


    public static RoleVO getRoleVO(Role entity, Map<String, CompanyBO> companyMap,Map<String, AdminUserBO> opUserMap, List<RoleMenu> roleMenus){
        RoleVO data=getRoleVO(entity,companyMap,opUserMap);
        if (CollUtil.isNotEmpty(roleMenus)) {
            List<String> menuIds = roleMenus.stream().map(RoleMenu::getMenuId).collect(Collectors.toList());
            data.setMenuIds(menuIds);
        }
        return data;
    }
    public static RoleVO getRoleVO(Role entity, List<RoleMenu> roleMenus){
        RoleVO data=getRoleVO(entity);

        if (CollUtil.isNotEmpty(roleMenus)) {
            List<String> menuIds = roleMenus.stream().map(RoleMenu::getMenuId).collect(Collectors.toList());
            data.setMenuIds(menuIds);
        }
        return data;
    }




}
