package com.xxh.cloud.user.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Dept;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Role;
import com.xxh.cloud.user.framework.modules.base.entity.vos.DeptVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.RoleVO;
import com.xxh.cloud.user.framework.modules.base.helper.DeptConvertHelper;
import com.xxh.cloud.user.framework.modules.base.helper.RoleConvertHelper;
import com.xxh.cloud.user.framework.modules.base.service.RoleService;
import com.xxh.cloud.user.framework.modules.cache.keys.UserCacheKeyUtil;
import com.xxh.cloud.user.framework.modules.cache.service.RoleInfoCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@Service
public class RoleInfoCacheServiceImpl extends BasicCacheServiceImpl<RoleVO> implements RoleInfoCacheService {


    @Autowired
    private RoleService roleService;

    @Override
    public String getCacheKey(String id) {
        return UserCacheKeyUtil.getRuleKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return UserCacheKeyUtil.getRuleMainKey();
    }

    @Override
    public Class<RoleVO> getJsonClazz() {
        return RoleVO.class;
    }

    @Override
    public String getId(RoleVO roleVO) {
        return roleVO.getId();
    }

    @Override
    public RoleVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        Role entity=roleService.getById(id);
        if(entity==null){
            return null;
        }
        return RoleConvertHelper.getRoleVO(entity);
    }

    @Override
    public List<RoleVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        List<Role> list= roleService.listByIds(ids);
        List<RoleVO> data=new ArrayList<>();
        if(CollUtil.isNotEmpty(list)){
            list.forEach(item->{
                data.add(RoleConvertHelper.getRoleVO(item));
            });
        }
        return data;
    }
}
