package com.xxh.cloud.user.framework.modules.cache.service.impl;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.user.framework.modules.base.entity.vos.MenuVO;
import com.xxh.cloud.user.framework.modules.cache.keys.UserCacheKeyUtil;
import com.xxh.cloud.user.framework.modules.cache.service.RoleMenuCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.security.Key;
import java.util.List;

@Service
public class RoleMenuCacheServiceImpl implements RoleMenuCacheService {

    @Autowired
    private RedisUtils redisUtils;

    @Override
    public void cacheMenuTree(String userId, List<MenuVO> menuVOS) {
        String key = UserCacheKeyUtil.getUserPermissionKey(userId);
        redisUtils.set(key, menuVOS, 600);
    }

    @Override
    public List<MenuVO> getCacheMenuTree(String userId) {
        if(StrUtil.isEmpty(userId)){
            return null;
        }
        String key = UserCacheKeyUtil.getUserPermissionKey(userId);
        return (List<MenuVO>) redisUtils.get(key);
    }

    @Override
    public void removeCacheMenuTree(String userId) {
        if(StrUtil.isEmpty(userId)){
            return;
        }
        String key = UserCacheKeyUtil.getUserPermissionKey(userId);
        redisUtils.delete(key);
    }


}
