package com.xxh.cloud.user.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.user.framework.modules.base.biz.UserInfoBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dos.User;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;
import com.xxh.cloud.user.framework.modules.base.helper.UserConvertHelper;
import com.xxh.cloud.user.framework.modules.base.service.UserService;
import com.xxh.cloud.user.framework.modules.cache.keys.UserCacheKeyUtil;
import com.xxh.cloud.user.framework.modules.cache.service.UserCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class UserCacheServiceImpl extends BasicCacheServiceImpl<UserVO>  implements UserCacheService {


    @Autowired
    private UserService userService;



    @Override
    public String getCacheKey(String id) {
        return UserCacheKeyUtil.getUserKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return UserCacheKeyUtil.getUserMainKey();
    }

    @Override
    public Class<UserVO> getJsonClazz() {
        return UserVO.class;
    }

    @Override
    public String getId(UserVO userVO) {
        return userVO.getId();
    }

    @Override
    public UserVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        User entity=userService.getById(id);
        if(entity==null || entity.getRowsStatus().equals(YN.NO.getCode())){
            return null;
        }
        UserVO data = UserConvertHelper.getUserVO(entity,false);
        return data;
    }

    @Override
    public List<UserVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        List<UserVO> data=new ArrayList<>();
        List<User> list=userService.list(new QueryWrapper<User>()
                .in("id",ids)
                .eq("rows_status", YN.YES.getCode())
                .orderByDesc("create_date")
        );
        if(CollUtil.isNotEmpty(list)){
            list.forEach(item->{
                data.add(UserConvertHelper.getUserVO(item,false));
            });
        }
        return data;
    }





}
