package com.xxh.cloud.user.framework.modules.client.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;
import com.xxh.cloud.user.client.api.HisDataClientService;
import com.xxh.cloud.user.client.api.bean.bos.HisSchemeUrlBO;
import com.xxh.cloud.user.client.api.bean.dto.HisDeptQueryClientDTO;
import com.xxh.cloud.user.client.api.bean.dto.HisDoctorQueryClientDTO;
import com.xxh.cloud.user.framework.modules.base.biz.HisDeptBizService;
import com.xxh.cloud.user.framework.modules.base.biz.HisDoctorBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisDeptQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisDoctorQueryDTO;

@Service
public class HisDataClientServiceImpl implements HisDataClientService {

    @Autowired
    private HisDoctorBizService hisDoctorBizService;
    @Autowired
    private HisDeptBizService hisDeptBizService;

    @Override
    public HisSchemeUrlBO getDoctorSchemaUrl(HisDoctorQueryClientDTO params) {
        HisDoctorQueryDTO hisDoctorQueryDTO = new HisDoctorQueryDTO();
        hisDoctorQueryDTO.setId(params.getId());
        hisDoctorQueryDTO.setDoctorId(params.getDoctorId());
        hisDoctorQueryDTO.setHisDoctorId(params.getHisDoctorId());
        hisDoctorQueryDTO.setDeptId(params.getDeptId());
        hisDoctorQueryDTO.setDeptIds(params.getDeptIds());
        hisDoctorQueryDTO.setDoctorName(params.getDoctorName());
        HisSchemeUrlModel model = hisDoctorBizService.getSchemaUrl(hisDoctorQueryDTO);

        if (null == model) {
            return null;
        }
        HisSchemeUrlBO bo = new HisSchemeUrlBO();
        bo.setSchemeUrl(model.getSchemeUrl());
        bo.setUrlLink(model.getUrlLink());
        return bo;
    }

    @Override
    public HisSchemeUrlBO getDeptSchemaUrl(HisDeptQueryClientDTO params) {
        HisDeptQueryDTO hisDeptQueryDTO = new HisDeptQueryDTO();
        hisDeptQueryDTO.setId(params.getId());
        hisDeptQueryDTO.setDeptId(params.getDeptId());
        hisDeptQueryDTO.setHisDeptId(params.getHisDeptId());
        hisDeptQueryDTO.setName(params.getName());
        hisDeptQueryDTO.setStandardSubjectName(params.getStandardSubjectName());
        HisSchemeUrlModel model = hisDeptBizService.getSchemaUrl(hisDeptQueryDTO);

        if (null == model) {
            return null;
        }
        HisSchemeUrlBO bo = new HisSchemeUrlBO();
        bo.setSchemeUrl(model.getSchemeUrl());
        bo.setUrlLink(model.getUrlLink());
        return bo;
    }
    
}
