package com.xxh.cloud.user.framework.modules.constant;


import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

/**
 * 机构用户/平台用户
 * 错误码（11） 11XXX
 * */
public enum XXUserErrorEnum implements IErrorCodeEnum {



    UserName_Exists(11001,"用户名已存在"),

    User_Not_Exists(11002,"用户不存在"),

    User_Password_Error(11003,"用户密码错误"),

    Dept_Child_Exists(11004,"部门存在子部门"),

    Dept_User_Exists(11005,"部门下有用户关联"),

    Menu_Child_Exists(11006,"菜单存在子子菜单"),


    Not_Add_User(11007,"不支持新增用户"),

    Not_Reg_User(11008,"不支注册用户"),

//    VCODE_USER_ERROR(11201,"验证码错误"),
//    VCODE_USER_EXPIRE(11202,"验证码过期"),
    OA_Login_Error(91001,"OA登录异常，请联系管理员"),
    ;
    private int code;
    private String msg;

    private XXUserErrorEnum() {
    }

    XXUserErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
